Bug 193438 - qt4: add QCanvas
qt4: add QCanvas
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-05-28 12:46 EDT by Frank Büttner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-05 11:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2006-05-28 12:46:12 EDT
I have found, that you have forget to add QCanvas to you package. I know that
QCanvas will be a part of Qt at Qt4.2. But until Qt 4.2 it is an extra file. But
for the full support of Qt it is needed. You can add this in the next release.
On Qt3 it was integrated. But in Qt4 it is temporaly extra.
Comment 1 Rex Dieter 2006-06-05 08:57:04 EDT
AFAICT, QCanvas is supposed to be in the qt3support bits (ala libQt3Support). 
Or are you talking about something else?
Comment 2 Frank Büttner 2006-06-05 09:07:55 EDT
now since 4.1.1 it QCanvas don't need the support layer.
Comment 3 Rex Dieter 2006-06-05 09:15:33 EDT
So what are you requesting here exactly?  Is QCanvas an optional
not-installed-by-default bit of qt4-4.1.x(*), or is it an extra/addon to

If the latter, I'm have serious reservations about adding it to qt4, and IMO, it
should be packaged separately.

(*) If it is, I can't find any reference to it.
Comment 4 Frank Büttner 2006-06-05 09:37:13 EDT
QCanvas will be complet rewritten for Qt4 but TT has move this to Qt 4.2.
So since 4.1.1 there exits an QCanvas package from TT for 4.1.1 witch has the
same function of QCanvas in Qt3 but don't need the Qt3 support layer. So this
part is neeed for apps to be portret to Qt4 from Qt3 without need of the support
take a look in the FTP Server ftp.trolltech.com of TT.
Under ftp://ftp.trolltech.com/qt/source you will find the package
Comment 5 Rex Dieter 2006-06-05 09:55:15 EDT
AFAICT, apps are supposed to use qtcanvas-opensource directly/internally.  I can
see no ability of qtcanvas to build an addon-to and/or shared lib for qt4.
Comment 6 Frank Büttner 2006-06-05 10:04:08 EDT
Without this part apps that use QCanvans in Qt3 cand portet to Qt4 will not run,
because it use QtCanvas and not Qt3Canvas in Qt4!!!
Comment 7 Frank Büttner 2006-06-05 11:09:50 EDT
It is not solved!!!
Comment 8 Rex Dieter 2006-06-05 11:36:39 EDT
From my reading of README.txt inside of qtcanvas-opensource tarball, it says how
it is to be used by *apps* (ie, apps themselves are to include the
qtcanvas-opensource source to be included/used that way).  

I see no way of stuffing this into the qt4 pkg.  If you have an idea of how
qtcanvas can be packaged for system-wide use (ala shared/static lib), then
that's great, but IMO, that is still something to be packaged separately and is
outside the scope of *this* qt4 package.

Marking WONTFIX (again).
Comment 9 Frank Büttner 2006-06-05 11:57:26 EDT
But without this package convert an app from Qt3 to Qt4 ist not possible!!!
Comment 10 Rex Dieter 2006-06-05 12:11:46 EDT
Should still be possible, provided developers porting apps from Qt3 to Qt4 can
read qtcanvas-opensource*/README.txt
Comment 11 Frank Büttner 2006-06-05 12:17:34 EDT
I can you say I have tryed min. 10 apps to convertet from Qt3 to Qt4 all fails!!!
Because the Qt3 Support layer are so buggy!! The only possible way is to convert
all funtion's to Qt4 calls, and don't use the support layer. And for that the
QtCanavs package is needed!!
Comment 12 Rex Dieter 2006-06-05 12:22:06 EDT
I'm not arguing with you.  QtCanvas almost certainly *is* needed, but it cannot
be provided by qt4-4.1.x.  

Please look at the README (as I have suggested 3 times now),  it suggests
Individual apps (and/or their authors) need to use qtcanvas-opensource
themselves directly. 

Note You need to log in before you can comment on or make changes to this bug.